List API keys
curl -X GET "https://api.5centscdn.com/v2/account/api" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/account/api"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/account/api", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/account/api", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/account/api')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"apikeys": [
{
"id": 12345,
"serviceid": 10001,
"name": "sample-api-key",
"description": "Used by the mobile app",
"permission": [
"create",
"update",
"delete"
],
"hash": "sample-api-key-hash-value"
}
]
}
GET
/account/api
GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Responses
resultstring
Operation outcome.
apikeysarray
List of API keys for this service account.
idinteger
Unique identifier of the API key.
serviceidinteger
Service account identifier that owns this key.
namestring
Human-readable label for the API key.
descriptionstring
Optional description of the key's purpose.
permissionstring[]
Set of CRUD permissions granted to this key.
Allowed values:
createreadupdatedeletehashstring
The actual API key token. Use as the X-API-Key header value in API v2 requests.
Was this page helpful?